#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define min(x, y) ((x) < (y) ? (x) : (y))

#define N 2000

int len_a, len_b, len_ans;
char a[N], b[N], op, op_a, op_b;
char ans[N], op_ans;

void reverse() {
    for (int i = 0; i + i < len_a; ++i) {
        char t = a[i];
        a[i] = a[len_a - i]; 
        a[len_a - i] = t;
    }

    for (int i = 0; i + i < len_b; ++i) {
        char t = b[i];
        b[i] = b[len_b - i];
        b[len_b - i] = t;
    }
}

void get_flag() {
    if (a[len_a] == '-') {op_a = '-'; len_a--;}
    else if (a[len_a] == '+') {op_a = '+'; len_a--;}
    else op_a = '+';

    if (b[len_b] == '-') {op_b = '-'; len_b--;}
    else if (b[len_b] == '+') {op_b = '+'; len_b--;}
    else op_b = '+';

    if (op == '-') {
        if (op_b == '-') op_b = '+';
        else op_b = '-';
    }
}

int compare(char *x, int len_x, char *y, int len_y) {
    if (len_x > len_y) return 1;
    else if (len_x < len_y) return -1;
    else {
        for (int i = len_x - 1; i >= 0; --i) {
            if (x[i] > y[i]) return 1;
            else if (x[i] < y[i]) return -1;
        }
        return 0;
    }
}

void add(char *x, int len_x, char *y, int len_y) {
    int i, c = 0;
    for (i = 0; i < min(len_x, len_y); ++i, ++len_ans) {
        int real_x = x[i] - '0';
        int real_y = y[i] - '0';
        int real_ans = real_x + real_y + c;
        c = real_ans / 10;
        real_ans %= 10;
        ans[i] = real_ans + '0';
    }
    for (; i < len_x; ++i, ++len_ans) {
        int real_x = x[i] - '0';
        int real_ans = real_x + c;
        c = real_ans / 10;
        real_ans %= 10;
        ans[i] = real_ans + '0';
    }
    for (; i < len_y; ++i, ++len_ans) {
        int real_y = y[i] - '0';
        int real_ans = real_y + c;
        c = real_ans / 10;
        real_ans %= 10;
        ans[i] = real_ans + '0';
    }
    if (c > 0) ans[len_ans++] = c + '0';
}

void sub(char *x, int len_x, char *y, int len_y) {
    int i, c = 0;
    for (i = 0; i < min(len_x, len_y); ++i, ++len_ans) {
        int real_x = x[i] - '0';
        int real_y = y[i] - '0' + c;
        if (real_x < real_y) {c = 1; real_x += 10;}
        else c = 0;
        int real_ans = real_x - real_y;
        ans[i] = real_ans + '0';
    }
    for (; i < len_x; ++i, ++len_ans) {
        int real_x = x[i] - '0';
        int real_y = c;
        if (real_x < real_y) {c = 1; real_x += 10;}
        else c = 0;
        int real_ans = real_x - real_y;
        ans[i] = real_ans + '0';
    }
    while (len_ans > 1 && ans[len_ans - 1] == '0') len_ans--;
}

void calc() {
    if (op_a == '-' && op_b == '-') { 
        op_ans = '-'; 
        add(a, len_a, b, len_b);
    }
    else if (op_a == '-' && op_b == '+') {
        if (compare(a, len_a, b, len_b) <= 0) {
            op_ans = '+';
            sub(b, len_b, a, len_a);
        }
        else {
            op_ans = '-';
            sub(a, len_a, b, len_b);
        }
    }
    else if (op_a == '+' && op_b == '-') {
        if (compare(a, len_a, b, len_b) < 0) {
            op_ans = '-';
            sub(b, len_b, a, len_a);
        }
        else {
            op_ans = '+';
            sub(a, len_a, b, len_b);
        }
    }
    else {
        op_ans = '+'; 
        add(a, len_a, b, len_b);
    }
}

int main () {
    scanf ("%c\n", &op);
    scanf ("%s", a); len_a = strlen(a);
    scanf ("%s", b); len_b = strlen(b);
    
    reverse();
    get_flag();
    calc();

    if (op_ans == '-') putchar('-');
    for (int i = strlen(ans) - 1; i >= 0; --i) {
        putchar(ans[i]);
    }
    putchar('\n');

    return 0;
}